## org.eclipse.emf.ecore.sdo.impl
Class EChangeSummaryImpl.SDOChangeRecorder

    java.lang.Object
      org.eclipse.emf.ecore.change.util.ListDifferenceAnalyzer
          org.eclipse.emf.ecore.change.util.BasicChangeRecorder
              org.eclipse.emf.ecore.change.util.ChangeRecorder
                  org.eclipse.emf.ecore.sdo.impl.EChangeSummaryImpl.SDOChangeRecorder

All Implemented Interfaces:
  Adapter, Adapter.Internal

Enclosing class:
  EChangeSummaryImpl

    protected class EChangeSummaryImpl.SDOChangeRecorder

extends ChangeRecorder

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.change.util.ChangeRecorder
`loadingTargets, originalTargetObjects, resolveProxies, targetObjects`

Fields inherited from class org.eclipse.emf.ecore.change.util.BasicChangeRecorder
`changeDescription, recording`

Constructor Summary
`EChangeSummaryImpl.SDOChangeRecorder()`

Method Summary
`void` `beginRecording(ChangeDescription changeDescription, java.util.Collection<?> rootObjects)`
`protected void` `consolidateChanges()`
`protected ChangeDescription` `createChangeDescription()`
`protected FeatureChange` `createFeatureChange(EObject eObject, EStructuralFeature eStructuralFeature, java.lang.Object value, boolean isSet)`

Methods inherited from class org.eclipse.emf.ecore.change.util.ChangeRecorder
`addAdapter, beginRecording, dispose, getTarget, handleFeature, handleResource, isAdapterForType, isOrphan, isResolveProxies, notifyChanged, prepareChangeDescriptionForResume, removeAdapter, setResolveProxies, setTarget, shouldRecord, unsetTarget`

Methods inherited from class org.eclipse.emf.ecore.change.util.BasicChangeRecorder
`createResourceChange, eliminateEmptyChanges, endRecording, finalizeChange, finalizeChange, getChangeDescription, getFeatureChange, getFeatureChanges, getResourceChange, getResourceChanges, isRecording, setChangeDescription, setRecording, shouldRecord, summarize`

Methods inherited from class org.eclipse.emf.ecore.change.util.ListDifferenceAnalyzer
`analyzeLists, analyzeLists, createAddListChange, createListChange, createListChanges, createMoveListChange, createRemoveListChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EChangeSummaryImpl.SDOChangeRecorder

    public EChangeSummaryImpl.SDOChangeRecorder()

Method Detail

### beginRecording

    public void beginRecording(ChangeDescription changeDescription,
                               java.util.Collection<?> rootObjects)

  Overrides:
    `beginRecording` in class `ChangeRecorder`

### createChangeDescription

    protected ChangeDescription createChangeDescription()

  Overrides:
    `createChangeDescription` in class `BasicChangeRecorder`

### createFeatureChange

    protected FeatureChange createFeatureChange(EObject eObject,
                                                EStructuralFeature eStructuralFeature,
                                                java.lang.Object value,
                                                boolean isSet)

  Overrides:
    `createFeatureChange` in class `BasicChangeRecorder`

### consolidateChanges

    protected void consolidateChanges()

  Overrides:
    `consolidateChanges` in class `ChangeRecorder`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.